<?php

/**
 * @package         Google Structured Data
 * @version         5.1.2 Free
 *
 * @author          Tassos Marinos <info@tassos.gr>
 * @link            http://www.tassos.gr
 * @copyright       Copyright © 2022 Tassos Marinos All Rights Reserved
 * @license         GNU GPLv3 <http://www.gnu.org/licenses/gpl.html> or later
 */

namespace GSD\Schemas\Schemas;

// No direct access
defined('_JEXEC') or die;

use GSD\Helper;

class Video extends \GSD\Schemas\Base
{
    /**
     * A key => value array with properties that needs to be renamed
     *
     * @var mixed
     */
    protected $rename_properties = [
        'headline'   => 'name',
        'image'      => 'thumbnailUrl',
        'publish_up' => 'uploadDate'
    ];

    /**
     * Return all the schema properties
     *
     * @return JRegistry
     */
    public function getProperties()
    {
        $props = [
            'image' => Helper::absURL($this->data->get('image'))
        ];

        $this->data->loadArray($props);

        return parent::getProperties();
    }
}